Bug 1129893 - Backport additional qcow2 corruption prevention and image repair patches
Summary: Backport additional qcow2 corruption prevention and image repair patches
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Max Reitz
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1129892
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 21:26 UTC by Ademar Reis
Modified: 2015-11-19 04:52 UTC (History)
11 users (show)

Fixed In Version: qemu-kvm-1.5.3-94.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1129892
Environment:
Last Closed: 2015-11-19 04:52:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2213 normal SHIPPED_LIVE qemu-kvm bug fix and enhancement update 2015-11-19 08:16:10 UTC

Description Ademar Reis 2014-08-13 21:26:39 UTC
+++ This bug was initially created as a clone of Bug #1129892 +++

Via Bug 1004420, we introduced a few "qcow2 corruption prevention" patches.

But there are some recent upstream follow-ups that apparently should be included as well. This BZ is to track it and analyse which of these fixes should be backported.

Right now I see the following two series:



Date: Thu,  7 Aug 2014 22:47:52 +0200
From: Max Reitz <mreitz@redhat.com>
Subject: [Qemu-devel] [PATCH 0/3] qcow2: Prevent corruption-related crashes

Max Reitz (3):
  qcow2: Catch !*host_offset for data allocation
  iotests: Add test for image header overlap
  block: Catch !bs->drv in bdrv_check()

AND

Date: Wed, 13 Aug 2014 23:01:42 +0200
From: Max Reitz <mreitz@redhat.com>
Subject: [Qemu-devel] [PATCH 0/8] qcow2: Fix image repairing

Max Reitz (8):
  qcow2: Factor out refcount accounting for check
  qcow2: Factor out refcount comparison for check
  qcow2: Fix refcount blocks beyond image end
  qcow2: Do not perform potentially damaging repairs
  qcow2: Rebuild refcount structure during check
  qcow2: Clean up after refcount rebuild
  iotests: Fix test outputs
  iotests: Add test for potentially damaging repairs

Comment 2 Miroslav Rezanina 2015-06-26 05:53:19 UTC
Fix included in qemu-kvm-1.5.3-94.el7

Comment 5 juzhang 2015-08-24 03:07:03 UTC
According to comment4, set this issue as verified.

Comment 7 errata-xmlrpc 2015-11-19 04:52:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2213.html


Note You need to log in before you can comment on or make changes to this bug.